<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    version="1.1">

    <!-- $Id: section.xsl 6773 2011-02-06 22:43:05Z paultremblay $ -->

    <xsl:template match= "xsl:attribute-set[@name='default-section-title-block']" priority="3">
        <xsl:call-template name="before-desc">
            <xsl:with-param name="fo">None</xsl:with-param> 
            <xsl:with-param name="docutils">None</xsl:with-param> 
        </xsl:call-template>
        <block>
            Sets up the defaults for the section titles. The title should always have some text beneath it 
            to avoid widows and orphans; hence the keep-with-always property.
        </block>
    </xsl:template>


    <xsl:template match= "xsl:attribute-set[@name='title-level1-block']" priority="3">
        <xsl:call-template name="make-title">
            <xsl:with-param name="level">5</xsl:with-param>
            <xsl:with-param name="text">title-level-block</xsl:with-param>
        </xsl:call-template>
        <block>
            <xsl:text>:fo: fo:block</xsl:text> 
        </block>
        <block first-line-indent="-9">
            <xsl:text>:docutils: section/title|section/section/title|etc.</xsl:text> 
        </block>
        <block first-line-indent="-9">
            <xsl:text>:inherits: default-section-title-block</xsl:text> 
        </block>
        <block>
            The following attribute sets are identical in nature:
        </block>
        <block>- title-level1-block</block>
        <block>- title-level2-block</block>
        <block>- title-level3-block</block>
        <block>- title-level4-block</block>
        <block>- title-level5-block</block>
        <block>- title-level6-block</block>
        <block>- title-level7-block</block>
        <block>- title-level8-block</block>
        <block>- title-level9-block</block>
        <block>
            These attribute-sets format the titles of all sections. 
        </block>
    </xsl:template>

    <xsl:template match= "xsl:attribute-set[@name='title-level2-block']| 
                         xsl:attribute-set[@name='title-level3-block']|
                         xsl:attribute-set[@name='title-level4-block']|
                         xsl:attribute-set[@name='title-level5-block']|
                         xsl:attribute-set[@name='title-level6-block']|
                         xsl:attribute-set[@name='title-level7-block']|
                         xsl:attribute-set[@name='title-level8-block']|
                         xsl:attribute-set[@name='title-level9-block']"
        
                         priority="3"/>

    <xsl:template match= "xsl:attribute-set[@name='title-number-inline']" priority="3">
        <xsl:call-template name="before-desc">
            <xsl:with-param name="fo">fo:inline</xsl:with-param> 
            <xsl:with-param name="docutils">section/title/generated[@classes="sectnum]"</xsl:with-param> 
        </xsl:call-template>
        <block>
            Formats the title number generated by docutils.
        </block>
    </xsl:template>

</xsl:stylesheet>
